GPT 5.6 Sol 通过兼容 OpenAI Responses 协议的端点提供(input/output 结构,流式为 response.* 事件)。
tools 数组启用了网页搜索或函数调用功能。tools 数组中同时包含 {"type": "web_search"} 和 {"type": "function", ...}。{"code": ..., "msg": "..."}(如 401 API key 无效、402 积分不足、429 频率超限;HTTP 状态可能仍为 200),或 {"error": {"type": "...", "message": "..."}}。curl --location 'https://api.kie.ai/codex/v1/responses' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"model": "gpt-5-6-sol",
"stream": false,
"input": [
{
"role": "user",
"content": [
{
"type": "input_text",
"text": "What is in this image?"
},
{
"type": "input_image",
"image_url": "https://file.aiquickdraw.com/custom-page/akr/section-images/1759055072437dqlsclj2.png"
}
]
}
],
"tools": [
{
"type": "web_search"
}
],
"reasoning": {
"effort": "high"
}
}'{
"output": [
{
"type": "reasoning",
"id": "rs_xxx",
"summary": []
},
{
"type": "message",
"role": "assistant",
"id": "msg_xxx",
"content": [
{
"type": "output_text",
"text": "Hello! How can I help you today?"
}
],
"status": "completed"
}
],
"usage": {
"total_tokens": 4490,
"output_tokens": 47,
"input_tokens": 4443
},
"credits_consumed": 0.48,
"status": "completed"
}